Bug 26211 - Installation Fatal Error
Installation Fatal Error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-05 15:54 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 12:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-05 15:54:31 EST
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 713, in 
mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 9952236
fsystem: ext2
self: <fstab.GuiFstab instance at 84b94e0>
msg: Invalid argument
doFormat: 1
errno: 22
device: hdb6
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Need Real Name 2001-02-05 15:56:11 EST
Installation without partitioning was able to work.
Comment 2 Michael Fulbright 2001-02-06 13:35:49 EST
What partitioning steps did you do which caused the error?
Comment 3 Need Real Name 2001-02-06 18:38:37 EST
I had partitioned with disk druid and fdisk with other i/o problems, and my root
partition was approximately 10 gigs.  
I repartitioned with windows fdisk and windows partition manager, leaving the
partitions under 1023 cylinders( actual size for this installation of root was
7gig),  and the full installation was successfull.
Comment 4 Michael Fulbright 2001-02-07 11:34:43 EST
What i/o problems did you have when partitioning?
Comment 5 Need Real Name 2001-02-07 13:02:47 EST
When Disk Druid or Red Hat's Fdisk partitioned the drives, it seemed to corrupt 
the fdisk structure so it was unreadable by either windows or linux, and came 
up with the error message I/O error when trying to read the partitioning table 
with anything but windows Fdisk.
Comment 6 Michael Fulbright 2001-02-08 13:24:11 EST
Would you happen to know what the partition table looked like before it became
corrupted?
Comment 7 Need Real Name 2001-02-09 13:45:27 EST
No, sorry I don't.
Comment 8 Michael Fulbright 2001-02-15 12:27:02 EST
Unfortunately I don't have enough information to really pursue this report.
If you find out anything additional please attach it to the report.
Comment 9 Michael Fulbright 2001-03-14 12:57:17 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.